Subject: Re: [PATCH 4/4]: powerpc/cell spidernet ethtool -i version number info.

From: Michael Ellerman <[email-masked]>
Date: Wed, 16 Aug 2006 10:29:05 +1000

On Tue, 2006-08-15 at 14:05 -0500, Olof Johansson wrote:
> On Fri, Aug 11, 2006 at 01:50:19PM -0500, James K Lewis wrote:
> >  Hi Olof,
> > 
> >   There are several reasons why an Ethernet driver should have an up to 
> > date version number:
> > 
> > 1. Customers like to see they are really getting a new version.
> > 
> > 2. It makes it easier for support personnel (me in this case) to see which 
> > driver they have. Sure, sometimes I can talk them thru doing a "sum" on 
> > the .ko and all that, but why not just use the version number? That's what 
> > it is for. And no, you can't just assume they have the version that came 
> > with the kernel they are running. It doesn't work that way.
> > 
> > 3. It makes bug reporting easier. 
> > 
> > 4. I have already run into too many problems and wasted too much time 
> > working with drivers when the number was NOT getting updated. 
> 
> Thanks for the info, Jim.
> 
> Sounds like it's most useful if a customer (or distro) takes the driver
> out of the tree and run it with a different kernel, i.e. when kernel
> and driver versions no longer go together. Makes sense.

It only makes sense in addition to the kernel version number (which in
some cases can be meaningless), plus any distro and/or local patches,
plus the kernel config.

Without all that information you don't really know what you're talking
about, because any one of the many interfaces between the driver and the
core kernel may have changed.

So in practice I find it's much simpler to just get the exact source
that they're running, rather than trying to guess based on version
numbers. But that's just me :)

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person